#include "testlib.h"
#include <bits/stdc++.h>
#define forn(i,n) for (int i = 0; i < n; i++)
#define sz(a) (int)a.size()
using namespace std;


const int MAX_N[] = {20, 20, 300, 700, 2000};

int main(int argc, char * argv[])
{
    registerValidation(argc, argv);
	int group = atoi(validator.group().c_str());
    int n = inf.readInt(1, MAX_N[group], "n");
    inf.readSpace();
    int m = inf.readInt(1, MAX_N[group], "m");
    //cout << n << " " << m << "\n";
    inf.readEoln();
    vector<string> t;
    forn (i, n) {
        string s = inf.readToken("[#.]+");
        t.push_back(s);
        ensuref(sz(s) == m, "string must contain m symbols");
        inf.readEoln();
    } 
    //exit(0);
    bool ok = false;
    forn (i, n - 2) {
        forn (j, m - 2) {
            if (t[i + 1][j] == '#' && t[i][j + 1] == '#' && t[i + 1][j + 1] == '#' && t[i + 2][j + 1] == '#' && t[i + 1][j + 2] == '#')
                ok = true;                
        }
    }
    ensuref(ok, "field without crosses");
    inf.readEof();
    return 0;
}