#include "testlib.h"

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int MAXN, MAXS;

    int gr = 0;
    if (!validator.group().empty()) {
        gr = validator.group()[0] - '0';
    }

    switch (gr) {
        case 0:
            MAXN = 900;
            MAXS = (int) 1e9;
            break;
        case 1:
            MAXN = 50;
            MAXS = 2;
            break;
        case 2:
            MAXN = 900;
            MAXS = 2;
            break;
        case 3:
            MAXN = 50;
            MAXS = (int) 1e9;
            break;
        case 4:
            MAXN = 300;
            MAXS = 300;
            break;
        case 5:
            MAXN = 900;
            MAXS = (int) 1e9;
            break;
        default:
            exit(239);
    }

    int n = inf.readInt(3, MAXN, "n");
    inf.readSpace();
    int m = inf.readInt(3, MAXN, "m");
    inf.readEoln();

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            inf.readInt(1, MAXS, format("h[%d][%d]", i, j));
            if (j != m - 1) {
                inf.readSpace();
            }
        }
        inf.readEoln();
    }

    inf.readEof();

    return 0;
}
