#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

const int MAXV = 100000;

int main(int argc, char* argv[]) {
	setName("compare two outputs");
	registerTestlibCmd(argc, argv);

	int n = inf.readInt();
	vector<int> inp;
	for (int i = 0; i < n; ++i) {
		inp.push_back(inf.readInt());
	}

	string jans = ans.readToken();
	string pans = ouf.readToken();

	if (pans == "Yes") {
		int prev = -INF;
		for (int i = 0; i < n; ++i) {
			int num = ouf.readInt(-MAXV, MAXV);
			if (num != inp[i] && num != -inp[i]) {
				quitf(_wa, "%d-th number is incorrect", i + 1);
			}
			if (prev > num) {
				quitf(_wa, "%d-th number is lower than previous one (%d > %d)", i + 1, prev, num);
			}
			prev = num;
		}
	}

	if (pans == "Yes") {
		if (jans == "Yes") {
			quitf(_ok, "solution is correct");
		}
		quitf(_fail, "participant found solution but jury didn't");
	}

	if (jans == "No") {
		quitf(_ok, "solution doesn't exist");
	}
	quitf(_wa, "participant didn't find solution");

	return 0;
}